Subject: Re: [nfsv4] New Version Notification for draft-quigley-nfsv4-lfs-registry-00.txt

From: Tom Haynes <[email-masked]>
Date: Mon, 21 Apr 2014 17:03:24 -0700

Hi, this registry has gone through several iterations as an independent draft: http://datatracker.ietf.org/doc/draft-quigley-label-format-registry/

We’ve pushed it over to the WG and would like to see it go forward.

Any comments?

On Apr 21, 2014, at 5:00 PM, [email-masked] wrote:

> 
> A new version of I-D, draft-quigley-nfsv4-lfs-registry-00.txt
> has been successfully submitted by Thomas Haynes and posted to the
> IETF repository.
> 
> Name:		draft-quigley-nfsv4-lfs-registry
> Revision:	00
> Title:		Registry Specification for Mandatory Access Control (MAC) Security Label Formats
> Document date:	2014-04-21
> Group:		Individual Submission
> Pages:		8
> URL:            http://www.ietf.org/internet-drafts/draft-quigley-nfsv4-lfs-registry-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-quigley-nfsv4-lfs-registry/
> Htmlized:       http://tools.ietf.org/html/draft-quigley-nfsv4-lfs-registry-00
> 
> 
> Abstract:
>   In the past Mandatory Access Control (MAC) systems have used very
>   rigid policies which were hardcoded into the particular protocol and
>   platform.  As MAC systems are more widely deployed additional
>   flexibility in mechanism and policy is required.  Where traditional
>   trusted systems implemented Multi-Level Security (MLS) and integrity
>   models, modern systems have expanded to include technologies such as
>   type enforcement.  Due to the wide range of policies and mechanisms
>   it has proven through past efforts to be virtually impossible to
>   accomodate all parties in one security label format and model.
> 
>   To allow multiple MAC mechanisms and label formats in a network, this
>   document proposes a registry of label format specifications.  This
>   registry contains several identifiers to accomodate both integer and
>   string preferences and associates those identifiers with an extensive
>   document outlining the exact syntax and use of the particular label
>   format.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>